Package org.apache.lucene.search.highlight

# Class SimpleHTMLEncoder

java.lang.Object
org.apache.lucene.search.highlight.SimpleHTMLEncoder

All Implemented Interfaces:
  `Encoder`

public class SimpleHTMLEncoder extends Object implements Encoder
Simple `Encoder` implementation to escape text for HTML output

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleHTMLEncoder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `encodeText(String originalText)`
  `static final String`
  `htmlEncode(String plainText)`
  Encode string into HTML

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleHTMLEncoder

    public SimpleHTMLEncoder()

- ## Method Details

  - ### encodeText

    public String encodeText(String originalText)
    Specified by:
      `encodeText` in interface `Encoder`
    Parameters:
      `originalText` - The section of text being output

  - ### htmlEncode

    public static final String htmlEncode(String plainText)
    Encode string into HTML